Create Collection Endpoint
curl --request POST \
--url https://api.example.com/api/v1/merchants/{merchant_id}/collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"show_in_filter": true,
"show_in_search_suggestions": false,
"appear_in_quicklinks": true,
"display_breadcrumb": true,
"cover_image_url": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/merchants/{merchant_id}/collections"
payload = {
"title": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"show_in_filter": True,
"show_in_search_suggestions": False,
"appear_in_quicklinks": True,
"display_breadcrumb": True,
"cover_image_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
show_in_filter: true,
show_in_search_suggestions: false,
appear_in_quicklinks: true,
display_breadcrumb: true,
cover_image_url: '<string>'
})
};
fetch('https://api.example.com/api/v1/merchants/{merchant_id}/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Collections
Create Collection Endpoint
POST
/
api
/
v1
/
merchants
/
{merchant_id}
/
collections
Create Collection Endpoint
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Available options:
long_tail_collection, campaign, category, smart_pick, style, brand, look Required string length:
1 - 512Response
Successful Response
Was this page helpful?

